using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MetricsConverter;


// Bitte beachten Sie auch den Fortsetzungsband zu diesem Buch, falls
// Ihnen das Programmieren Spaß gemacht hat und Sie sich fortgeschritteneren 
// Themen zuwenden wollen. Alle Informationen zum Fortsetzungsband finden
// Sie auf der Website: www.tiefer-einsteigen.de 

namespace Metrics
{
    class Program
    {
        static void Main(string[] args)
        {
            double result, input;

            // Celsius-Wert konvertieren
            input = 24.5;
            Console.WriteLine("in (Celsius): {0}", input);
            result = Temperature.CelsiusToFahrenheit(input);
            Console.WriteLine("out (Fahrenheit): {0}", result);
            result = Temperature.CelsiusToKelvin(input);
            Console.WriteLine("out (Kelvin): {0}", result);
            Console.WriteLine();

            // Kelvin-Wert konvertieren
            input = 301.4;
            Console.WriteLine("in (Kelvin): {0}", input);
            result = Temperature.KelvinToFahrenheit(input);
            Console.WriteLine("out (Fahrenheit): {0}", result);
            result = Temperature.KelvinToCelsius(input);
            Console.WriteLine("out (Celsius): {0}", result);
            Console.WriteLine();

            // Fahrenheit-Wert konvertieren
            input = 82.9;
            Console.WriteLine("in (Fahrenheit): {0}", input);
            result = Temperature.FahrenheitToCelsius(input);
            Console.WriteLine("out (Celsius): {0}", result);

            result = Temperature.FahrenheitToKelvin(input);
            Console.WriteLine("out (Kelvin): {0}", result);

            Console.WriteLine("Der kleinstmögliche Kelvin-Wert ist: {0}",
                Temperature.MinValueKelvin);
            Console.WriteLine("Der kleinstmögliche Fahrenheit-Wert ist: {0}",
                Temperature.MinValueFahrenheit);
            Console.WriteLine("Der kleinstmögliche Celsuis-Wert ist: {0}",
                Temperature.MinValueCelsius);


            int feet, inch, cm;
            feet = 6;
            inch = 3;
            Length.FeetInchToCm(feet, inch, out cm);
            Console.WriteLine("cm: {0}", cm);
            Length.CmToFeetInch(out feet, out inch, cm);
            Console.WriteLine("{0} feet, {1} inch", feet, inch);

            Console.WriteLine("{0}", Math.Round(3.49));
            Console.WriteLine("{0}", Math.Round(3.51));
            Console.WriteLine("{0}", Math.Round(3.50));
            Console.ReadKey();


        }
    }
}
